input[type="text"],
input[type="email"],
input[type="tel"],
input[type="password"],
input[type="number"],
select,
textarea {
    width: 100%;
    padding: 12px;
    outline: none;
    background-color: $color__white;
    border: 1px solid #DDDDDD;
    border-radius: 8px;

    @include transition(all 0.5s);

    &:hover {
        border-color: $color__primary;

    }

    &:focus {
        background-color: darken(#eee, 2%);
        border-color: darken($color__primary, 3%);
    }
}

input {
    border-radius: 8px;
}

textarea {
    height: 180px;
    resize: none;
}

.contact__form {
    ::-webkit-input-placeholder {
        /* Chrome/Opera/Safari */
        font-size: 14px;
    }

    ::-moz-placeholder {
        /* Firefox 19+ */
        font-size: 14px;
        text-transform: lowercase;
    }

    :-ms-input-placeholder {
        /* IE 10+ */
        font-size: 14px;
        text-transform: lowercase;
    }

    :-moz-placeholder {
        /* Firefox 18- */
        font-size: 14px;
        text-transform: lowercase;
    }

    .form__fields {
        label {
            display: block;
            text-transform: lowercase;
            margin-bottom: 20px;
        }
    }
}